<template>
  <v-layout wrap class="writing-instruction-audio">
    <group-item :number-items="content.length" :active-item="activeAudio" @next="next" @back="back">
      <v-layout justify-center align-start class="writing-instruction-audio__player">
        <audio-player :src="contentAudio"/>
      </v-layout>
    </group-item>
    <h3 class="writing-instruction-audio__description">{{contentText}}</h3>
  </v-layout>
</template>

<script>
import GroupItem from '@/components/Globals/Groups/Index';
import AudioPlayer from '@/components/Globals/Audio/Index';

export default {
  props: {
    content: {
      type: Array,
      default: () => [''],
    },
  },
  components: {
    GroupItem,
    AudioPlayer,
  },
  data() {
    return {
      activeAudio: 0,
    };
  },
  methods: {
    next(data) {
      this.activeAudio = data;
    },
    back(data) {
      this.activeAudio = data;
    },
  },
  computed: {
    contentAudio() {
      return this.content[this.activeAudio].value;
    },
    contentText() {
      return this.content[this.activeAudio].description;
    },
  },
};
</script>

<style lang="sass">
  @import ~@/styles/defaults/mobileFirst
  .writing-instruction-audio
    width: 95%
    min-width: 70%
    max-width: 95vw
    margin: 0 auto
    height: 100%
    &__description
      width: 100%
      text-align: center
    &__player
      max-width: 90%
  +media-min-lg()
      width: 99%

</style>
